import 'dart:convert';
import 'dart:io';
import 'dart:typed_data';
import 'package:path_provider/path_provider.dart';

class LocalStorageManager {
  LocalStorageManager._();

  static save(String base64String, String filename) async {
    Uint8List bytes = base64.decode(base64String);
    final directory = await getDownloadsDirectory();
    String filePath = directory.path + filename;
    print("filePath: $filePath");
    final file = File(filePath);
    await file.writeAsBytes(bytes);
  }
}
